﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;

namespace PagesTest.ViewModel
{
    public class MainViewModel : ViewModelBase
    {
        private readonly MainWorkspace _mainWs;

        private string _displayText;
        public string DisplayText { get => _displayText; set => SetValue(ref _displayText, value); }

        public ICommand FirstPageCommand { get; private set; }
        public ICommand SecondPageCommand { get; private set; }

        public MainViewModel()
        {
            DisplayText = "Der Text der Haupt Seite!";
        }
        public MainViewModel(string displayText, MainWorkspace mainWs)
        {
            _mainWs = mainWs;
            DisplayText = displayText;
            FirstPageCommand = new RelayCommand(f => _mainWs.CurrentContent = new FirstViewModel("Erste Seite von Hauptseite", _mainWs));
            SecondPageCommand = new RelayCommand(s => _mainWs.CurrentContent = new SecondViewModel("Zweite Seite von Hauptseite", _mainWs));
        }

        

        
    }
}
